﻿@model IEnumerable<shop.Models.User>

@{
    ViewBag.Title = "کاربران";
    Layout = "~/Areas/Admin/Views/Shared/_AdminLayout.cshtml";
}

    <div class="card">
        <div class="card-header bg-dark text-white">
            <div class="row">
                <div class="col-4 text-left mt-1">کاربران</div>
                <div class="col-4 text-center">

                    @using (Html.BeginForm())
                    {
                    <div class="form-inline">
                        <div class="form-group">
                            @Html.TextBox("str", "", new { @class = "form-control border-rad", @placeholder = " کاربر را جسجتو نمایید" })
                        </div>
                        <button type="submit" class="btn btn-primary ml-1 border-rad">
                            <i class="fas fa-search text-light fa-lg"></i>
                        </button>
                    </div>
                            }

                      

                    </div>
                <div class="col-4 text-right">
                    @Html.ActionLink("افزودن", "Create", "", new { @class = "btn btn-success" })
                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-hover">
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.Role.Roletitle)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.UserMobile)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.IsActive)
                    </th>
                    <th></th>
                </tr>

                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.Role.Roletitle)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.UserMobile)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.IsActive)
                        </td>
                        <td>
                            @Html.ActionLink("آدرس ها", "ShowAddress", new { id = item.Id }, new { @class = "btn btn-xs btn-outline-info" }) |
                            @Html.ActionLink("ویرایش", "Edit", new { id = item.Id }, new { @class = "btn btn-xs btn-outline-warning" }) |
                            @Html.ActionLink("حذف", "Delete", new { id = item.Id }, new { @class = "btn btn-xs btn-outline-danger" })
                        </td>
                    </tr>
                }

            </table>
        </div>
    </div>



